# Function remove

- remove(collectionId, productId, variantId): Promise<void>

- Delete a variant for a collection and product (admin only).

  #### Parameters

  - collectionId: string

    Identifier of the parent collection

  - productId: string

    Identifier of the parent product

  - variantId: string

    Identifier of the variant

  #### Returns Promise<void>

  Promise resolving to void

  #### Throws

  ErrorResponse if the request fails

  - Defined in api/variant.ts:95